Coding Convention:
------------------

NOTE: the media-hub code did not start out with the following coding convention, but it is being introduced to try and
converge on a standard from this point forward:

https://google-styleguide.googlecode.com/svn/trunk/cppguide.html

Deviations from the Google Style Guide above:

1. We will agree to maximum of 100 characters in a single line instead of 80.


To Build:
---------

mkdir build
cd build
cmake ..
make

To Run From Console:
--------------------
CORE_MEDIA_SERVICE_VIDEO_SINK_NAME=mirsink CORE_MEDIA_SERVICE_AUDIO_SINK_NAME=pulsesink src/core/media/media-hub-server

To Run Unit Tests:
------------------

cd build/tests/acceptance-tests
./service_acceptance_test

cd build/tests/unit-tests
./test-gstreamer-engine
